xine-lib: xine-lib-1.2.13/include/xine/vdr.h File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Typedefs | Enumerations | Functions | Variables
vdr.h File Reference
`#include <xine/os_types.h>`

Go to the source code of this file.

## Macros
#define | XINE_VDR_VERSION 901
#define | XINE_VDR_VOLUME_IGNORE 0
#define | XINE_VDR_VOLUME_CHANGE_HW 1
#define | XINE_VDR_VOLUME_CHANGE_SW 2
#define | XINE_VDR_MUTE_IGNORE 0
#define | XINE_VDR_MUTE_EXECUTE 1
#define | XINE_VDR_MUTE_SIMULATE 2

## Typedefs
typedef data_header_t | result_header_t
typedef data_header_t | event_header_t

## Enumerations
enum | funcs { func_unknown = -1 , func_nop , func_osd_new , func_osd_free , func_osd_show , func_osd_hide , func_osd_set_position , func_osd_draw_bitmap , func_set_color , func_clear , func_mute , func_set_volume , func_set_speed , func_set_prebuffer , func_metronom , func_start , func_wait , func_setup , func_grab_image , func_get_pts , func_flush , func_first_frame , func_still_frame , func_video_size , func_set_video_window , func_osd_flush , func_play_external , func_key , func_frame_size , func_reset_audio , func_select_audio , func_trick_speed_mode , func_get_version , func_discontinuity , func_query_capabilities }
enum | keys { key_none , key_up , key_down , key_menu , key_ok , key_back , key_left , key_right , key_red , key_green , key_yellow , key_blue , key_0 , key_1 , key_2 , key_3 , key_4 , key_5 , key_6 , key_7 , key_8 , key_9 , key_play , key_pause , key_stop , key_record , key_fast_fwd , key_fast_rew , key_power , key_channel_plus , key_channel_minus , key_volume_plus , key_volume_minus , key_mute , key_schedule , key_channels , key_timers , key_recordings , key_setup , key_commands , key_user1 , key_user2 , key_user3 , key_user4 , key_user5 , key_user6 , key_user7 , key_user8 , key_user9 , key_audio , key_info , key_channel_previous , key_next , key_previous , key_subtitles , key_user0 }

## Functions
struct | __attribute__ ((packed)) data_header_s

## Variables
| data_header_t
| data_nop_t
| data_osd_new_t
| data_osd_free_t
| data_osd_show_t
| data_osd_hide_t
| data_osd_flush_t
| data_play_external_t
| data_osd_set_position_t
| data_osd_draw_bitmap_t
| data_set_color_t
| data_flush_t
| result_flush_t
| data_clear_t
| data_mute_t
| data_set_volume_t
| data_set_speed_t
| data_set_prebuffer_t
| data_metronom_t
| data_start_t
| data_wait_t
| result_wait_t
| data_setup_t
| data_first_frame_t
| data_still_frame_t
| data_set_video_window_t
| data_grab_image_t
| result_grab_image_t
| data_get_pts_t
| result_get_pts_t
| data_get_version_t
| result_get_version_t
| data_video_size_t
| result_video_size_t
| data_reset_audio_t
| event_key_t
| event_frame_size_t
| event_play_external_t
| data_select_audio_t
| data_trick_speed_mode_t
| event_discontinuity_t
| data_query_capabilities_t
| result_query_capabilities_t
| data_union_t
| result_union_t
| event_union_t

## Macro Definition Documentation

## ◆ XINE_VDR_MUTE_EXECUTE

#define XINE_VDR_MUTE_EXECUTE 1

Referenced by vdr_execute_rpc_command().

## ◆ XINE_VDR_MUTE_IGNORE

#define XINE_VDR_MUTE_IGNORE 0

Referenced by vdr_execute_rpc_command().

## ◆ XINE_VDR_MUTE_SIMULATE

#define XINE_VDR_MUTE_SIMULATE 2

Referenced by vdr_class_get_instance(), and vdr_execute_rpc_command().

## ◆ XINE_VDR_VERSION

#define XINE_VDR_VERSION 901

Referenced by vdr_execute_rpc_command().

## ◆ XINE_VDR_VOLUME_CHANGE_HW

#define XINE_VDR_VOLUME_CHANGE_HW 1

Referenced by vdr_class_get_instance().

## ◆ XINE_VDR_VOLUME_CHANGE_SW

#define XINE_VDR_VOLUME_CHANGE_SW 2

Referenced by vdr_execute_rpc_command().

## ◆ XINE_VDR_VOLUME_IGNORE

#define XINE_VDR_VOLUME_IGNORE 0

Referenced by vdr_execute_rpc_command().

## Typedef Documentation

## ◆ event_header_t

typedef data_header_t event_header_t

## ◆ result_header_t

typedef data_header_t result_header_t

## Enumeration Type Documentation

## ◆ funcs

enum funcs

Enumerator
func_unknown |
func_nop |
func_osd_new |
func_osd_free |
func_osd_show |
func_osd_hide |
func_osd_set_position |
func_osd_draw_bitmap |
func_set_color |
func_clear |
func_mute |
func_set_volume |
func_set_speed |
func_set_prebuffer |
func_metronom |
func_start |
func_wait |
func_setup |
func_grab_image |
func_get_pts |
func_flush |
func_first_frame |
func_still_frame |
func_video_size |
func_set_video_window |
func_osd_flush |
func_play_external |
func_key |
func_frame_size |
func_reset_audio |
func_select_audio |
func_trick_speed_mode |
func_get_version |
func_discontinuity |
func_query_capabilities |

## ◆ keys

enum keys

Enumerator
key_none |
key_up |
key_down |
key_menu |
key_ok |
key_back |
key_left |
key_right |
key_red |
key_green |
key_yellow |
key_blue |
key_0 |
key_1 |
key_2 |
key_3 |
key_4 |
key_5 |
key_6 |
key_7 |
key_8 |
key_9 |
key_play |
key_pause |
key_stop |
key_record |
key_fast_fwd |
key_fast_rew |
key_power |
key_channel_plus |
key_channel_minus |
key_volume_plus |
key_volume_minus |
key_mute |
key_schedule |
key_channels |
key_timers |
key_recordings |
key_setup |
key_commands |
key_user1 |
key_user2 |
key_user3 |
key_user4 |
key_user5 |
key_user6 |
key_user7 |
key_user8 |
key_user9 |
key_audio |
key_info |
key_channel_previous |
key_next |
key_previous |
key_subtitles |
key_user0 |

## Function Documentation

## ◆ __attribute__()

union __attribute__ | ( | (packed) |  | ) |

## Variable Documentation

## ◆ data_clear_t

data_clear_t

## ◆ data_first_frame_t

data_first_frame_t

## ◆ data_flush_t

data_flush_t

## ◆ data_get_pts_t

data_get_pts_t

## ◆ data_get_version_t

data_get_version_t

## ◆ data_grab_image_t

data_grab_image_t

## ◆ data_header_t

data_header_t

## ◆ data_metronom_t

data_metronom_t

## ◆ data_mute_t

data_mute_t

## ◆ data_nop_t

data_nop_t

## ◆ data_osd_draw_bitmap_t

data_osd_draw_bitmap_t

## ◆ data_osd_flush_t

data_osd_flush_t

## ◆ data_osd_free_t

data_osd_free_t

## ◆ data_osd_hide_t

data_osd_hide_t

## ◆ data_osd_new_t

data_osd_new_t

## ◆ data_osd_set_position_t

data_osd_set_position_t

## ◆ data_osd_show_t

data_osd_show_t

## ◆ data_play_external_t

data_play_external_t

## ◆ data_query_capabilities_t

data_query_capabilities_t

## ◆ data_reset_audio_t

data_reset_audio_t

## ◆ data_select_audio_t

data_select_audio_t

## ◆ data_set_color_t

data_set_color_t

## ◆ data_set_prebuffer_t

data_set_prebuffer_t

## ◆ data_set_speed_t

data_set_speed_t

## ◆ data_set_video_window_t

data_set_video_window_t

## ◆ data_set_volume_t

data_set_volume_t

## ◆ data_setup_t

data_setup_t

## ◆ data_start_t

data_start_t

## ◆ data_still_frame_t

data_still_frame_t

## ◆ data_trick_speed_mode_t

data_trick_speed_mode_t

## ◆ data_union_t

data_union_t

Referenced by vdr_execute_rpc_command().

## ◆ data_video_size_t

data_video_size_t

## ◆ data_wait_t

data_wait_t

## ◆ event_discontinuity_t

event_discontinuity_t

Referenced by internal_write_event_discontinuity().

## ◆ event_frame_size_t

event_frame_size_t

Referenced by internal_write_event_frame_size().

## ◆ event_key_t

event_key_t

Referenced by internal_write_event_key().

## ◆ event_play_external_t

event_play_external_t

Referenced by internal_write_event_play_external().

## ◆ event_union_t

event_union_t

## ◆ result_flush_t

result_flush_t

Referenced by vdr_execute_rpc_command().

## ◆ result_get_pts_t

result_get_pts_t

Referenced by vdr_execute_rpc_command().

## ◆ result_get_version_t

result_get_version_t

Referenced by vdr_execute_rpc_command().

## ◆ result_grab_image_t

result_grab_image_t

Referenced by vdr_execute_rpc_command().

## ◆ result_query_capabilities_t

result_query_capabilities_t

Referenced by vdr_execute_rpc_command().

## ◆ result_union_t

result_union_t

## ◆ result_video_size_t

result_video_size_t

Referenced by vdr_execute_rpc_command().

## ◆ result_wait_t

result_wait_t

Referenced by vdr_execute_rpc_command().